Subject: Re: bug#9030: `where-is' doesn't play well `with with-output-to-string'

From: PJ Weisberg <[email-masked]>
Date: Tue, 12 Jul 2011 21:44:26 -0700

On Tuesday, July 12, 2011, Stefan Monnier <[email-masked]> wrote:
>> Tangentially, I wonder why where-is needs an optional INSERT argument
>> that means "don't print the result, instead insert it (oh, and use a
>> slightly different format)".
>
> It's clearly meant for interactive use.  I'm not sure if it answers your
> question, tho.

For what it's worth, the code that gives what I was actually trting to
get from `what-is' is `(mapcar 'key-description (where-is-internal
foo))'.  I don't know if there's a way to get that without using a
function with "internal" in the name.

-- 

-PJ